Bookmark (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.intermediate.extensions

## Class Bookmark

- java.lang.Object
- - org.apache.fop.render.intermediate.extensions.Bookmark

-     public class Bookmark
      extends java.lang.Object

  This class is a bookmark element for use in the intermediate format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bookmark(java.lang.String title, boolean show, AbstractAction action)` Creates a new bookmark.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildBookmark(Bookmark bookmark)` Adds a child bookmark.
    `AbstractAction` | `getAction()` Returns the action performed when the bookmark is clicked.
    `java.util.List` | `getChildBookmarks()` Returns a list of child bookmarks.
    `java.lang.String` | `getTitle()` Returns the bookmark's title.
    `boolean` | `isShown()` Indicates whether the bookmark shall be shown initially.
    `void` | `setAction(AbstractAction action)` Sets the action performed when the bookmark is clicked.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bookmark

          public Bookmark(java.lang.String title,
                          boolean show,
                          AbstractAction action)

      Creates a new bookmark.
      Parameters:
        `title` - the bookmark's title
        `show` - true if the bookmark shall be shown, false for hidden
        `action` - the action performed when the bookmark is clicked

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

      Returns the bookmark's title.
      Returns:
        the title

    - #### isShown

          public boolean isShown()

      Indicates whether the bookmark shall be shown initially.
      Returns:
        true if it shall be shown

    - #### getAction

          public AbstractAction getAction()

      Returns the action performed when the bookmark is clicked.
      Returns:
        the action

    - #### setAction

          public void setAction(AbstractAction action)

      Sets the action performed when the bookmark is clicked.
      Parameters:
        `action` - the action

    - #### addChildBookmark

          public void addChildBookmark(Bookmark bookmark)

      Adds a child bookmark.
      Parameters:
        `bookmark` - the child bookmark

    - #### getChildBookmarks

          public java.util.List getChildBookmarks()

      Returns a list of child bookmarks.
      Returns:
        the child bookmarks

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.